<?php

namespace ZPOS\Admin\Setting;

abstract class InputBase
{
	protected $type = null;
	protected $label = null;
	protected $name = null;
	protected $value = null;
	protected $args = [];

	public function __construct($label, $name, $value, $args = [])
	{
		$this->label = $label;
		$this->name = $name;
		$this->value = $value;
		$this->args = $args;
	}

	public function getData()
	{
		$basic_data = [
			'label' => $this->label,
			'name' => $this->name,
			'value' => $this->value,
			'type' => $this->type
		];
		return array_merge($this->args, $basic_data);
	}
}
