<?php

namespace ZPOS\Admin\Tabs;

use ZPOS\Admin\Setting\Box;
use ZPOS\Admin\Setting\Tab;
use ZPOS\Admin\Setting\Input\TextArea;

class Debug extends Tab
{
	public $exact = true;
	public $name = 'Debug';
	public $path = '/debug';

	public function admin_init()
	{
		$this->boxes[] = new Box('Debug', null, new TextArea(null, null, $this->get_value(), ['readOnly' => true]));
	}

	protected function get_value()
	{
		ob_start();
		print_r($_SERVER);
		$content = ob_get_contents();
		ob_end_clean();
		return $content;
	}
}
